
%define patch_name kernel-feat-swsusp

Name: %patch_name
Version: 20050705
Release: alt1
Summary: %patch_name kernel patch - SWSUSP (suspend to disk) for Linux kernel
License: GPL
Group: Development/Other
URL: http://developer.berlios.de/projects/softwaresuspend
Packager: Kernel Maintainers Team <kernel@packages.altlinux.org>
BuildArch: noarch

# patches for 2.4
%source 1 20-softwaresuspend 2.4
%source 2 21-2.4.28-2.1.5.7-A 2.4
%source 3 22-2.4.29-2.1.5.7-B 2.4
%source 4 23-2.4.29-2.1.5.7-C 2.4
%source 5 46-2.4.26-bootsplash-fixes 2.4/46_kernel-feat-drivers-video-splash
%source 6 11_swsusp-2.4.25-usb-ohci 2.4/51_kernel-fix-drivers-usb
%source 7 12_swsusp-2.4.25-usb-ohci 2.4/52_not_kernel-fix-drivers-usb
%source 8 53-Makefile 2.4/53_kernel-feat-cpufreq
%source 9 54-Makefile 2.4/54_not_kernel-feat-cpufreq
%source 10 15_reiserfs-fix 2.4/55_kernel-feat-fs-reiserfs
%source 11 44-Win4Lin 2.4/56_kernel-feat-core-win4lin
%source 12 60-gcc2.96-alarm 2.4
%source 13 61-alt-zftape-fix.patch 2.4

# patches for 2.6
%source 1000 160-lamenter-smp-freeze-fix.patch 2.6
%source 1001 161-post-lamenter-updates.patch 2.6
%source 1002 200-wide-vt-fix-separate-submit.patch 2.6
%source 1003 201-agp-resume-support.patch 2.6
%source 1004 202-reboot-handler-hook.patch 2.6
%source 1005 203-proc-acpi-sleep-activate-hook.patch 2.6
%source 1006 204-bug-on-fork-while-freezer-on.patch 2.6
%source 1007 301-e820-table-support.patch 2.6
%source 1008 310-workthreads.patch 2.6
%source 1009 314-syncthreads.patch 2.6
%source 1010 320-mtrr-remove-sysdev.patch 2.6
%source 1011 402-init-hooks.patch 2.6
%source 1012 501-disable-oom-killer-when-suspending.patch 2.6
%source 1013 504-disable-pdflush-during-suspend.patch 2.6
%source 1014 507-disable-lru-scanning-during-suspend.patch 2.6
%source 1015 510-debug-pagealloc-support.patch 2.6
%source 1016 600-version-specific-i386.patch 2.6
%source 1017 601-version-specific-mac.patch 2.6
%source 1018 602-version-specific-x86_64.patch 2.6
%source 1019 611-check-mounts-support.patch 2.6
%source 1020 700-documentation.patch 2.6
%source 1021 701-Kconfig-and-Makefile-for-suspend2.patch 2.6
%source 1022 716-clear-swapfile-bdev-in-swapoff.patch 2.6
%source 1023 718-tlb-flushing-functions.patch 2.6
%source 1024 719-export-show-task.patch 2.6
%source 1025 721-docs.patch 2.6
%source 1026 722-includes.patch 2.6
%source 1027 730-suspend2-core.patch 2.6
%source 1028 754-plugin-swapwriter.patch 2.6
%source 1029 757-plugin-generic-block-io.patch 2.6
%source 1030 758-plugin-filewriter.patch 2.6
%source 1031 760-crypto-api-work.patch 2.6
%source 1032 811-single-get_cmos_time-call.patch 2.6
%source 1033 812-make-sleep_start-ul.patch 2.6
%source 1034 813-add-__get_cmos_time-quick-call.patch 2.6
%source 1035 815-time.patch 2.6
%source 1036 840-Bernard-71-b44-dma-mask-quick-fix.patch 2.6
%source 1037 840-Bernard-98-ide-disk-pm-changes.patch 2.6
%source 1038 840-Bernard-98-ide-pm-cleanup.patch 2.6
%source 1039 840-combined-pm_message_t.patch 2.6
%source 1040 850-reset-kswapd-max-order-after-resume.patch 2.6
%source 1041 870-dynamic-pageflags.patch 2.6
%source 1042 910-disable-highmem-tlb-flush-for-copyback.patch 2.6
%source 1043 911-disable-mce-checking-during-suspend-avoid-smp-deadlock.patch 2.6
%source 1044 915-cryptoapi-deflate.patch 2.6

# fixes for 2.6
%source 2045 998-freeze-fix.patch 		2.6
%source 2046 999-alt-do_mounts_initrd.patch 	2.6
%source 2047 999-zdebug.patch 			2.6

BuildPreReq: kernel-build-tools >= 0.6-alt3

%description
This is the SWSUSP (suspend to disk) patch for Linux kernel.
Enable the possibility to save the state of your system and
quickly restore it.

%install
%install_patches

%files
%_usrsrc/*

%changelog
* Fri Jul 08 2005 Alex Yustasov <yust@altlinux.ru> 20050705-alt1
- 2.1.9.8
- only std26

* Sun Jun 19 2005 Alex Yustasov <yust@altlinux.ru> 20050603-alt2
- added 999-zdebug.patch

* Fri Jun 03 2005 Alex Yustasov <yust@altlinux.ru> 20050603-alt1
- 2.1.9.1
- removed 999-common-functions-fix.patch
- removed supermount patches
- added:
  + 999-move-stack-fix.patch
  + 999-swapwriter-fix.patch
  + 999-remove-debug-message.patch
  + 999-pm_message-fix.patch
  + 999-cpufreq-2.6.12.patch

* Sun May 29 2005 LAKostis <lakostis at altlinux dot ru> 20050528-alt1
- backport 2.1.8.10 from 2.6.12-rc4
- re-work 999-alt-do_mounts_initrd.patch
- Added:
  + 999-common-functions-fix.patch - move save_image_part1 to suspend2_common.h
  + 999-i386-use-loaddebug-macro-consistently.patch - backport from 2.6.12-rc3
- Moved:
  - 999-add-not-boot-time-message.patch - move to patch 992.

* Mon May 23 2005 LAKostis <lakostis at altlinux dot ru> 20050521-alt1.1
- fix for lowlatency scheduler changes.

* Sun May 22 2005 Alex Yustasov <yust@altlinux.ru> 20050521-alt1
- 2.1.8.9 for 2.6.11

* Tue May 10 2005 Alex Yustasov <yust@altlinux.ru> 20050505-alt2
- fixed 999-alt-do_mounts_initrd.patch

* Sun May 08 2005 Alex Yustasov <yust@altlinux.ru> 20050505-alt1
- 2.1.8.7 for 2.6
- removed building-as-module

* Mon Mar 21 2005 Alex Yustasov <yust@altlinux.ru> 20050317-alt2.3
- Fixed:
  + 2.6_lowlatency_211-refrigerator.patch

* Mon Mar 21 2005 Alex Yustasov <yust@altlinux.ru> 20050317-alt2.2
- Returned:
   + 916-swsusp-pktcdvd-fix.diff

* Sun Mar 20 2005 LAKostis <lakostis at altlinux.ru> 20050317-alt2.1
- Added:
  + 2.6_lowlatency_211-refrigerator.patch - re-added
  + 2.6_vanilla_211-refrigerator.patch - re-added
  + 950-check-mounts-fix.patch - re-added
  + 950-n-check-mounts-fix.patch - re-added
  
* Fri Mar 18 2005 Alex Yustasov <yust@altlinux.ru> 20050317-alt2
- Added:
  + 999-alt-do_mounts_initrd.patch - call suspend2_try_resume
  from kernel instead initrd/linuxrc

* Thu Mar 17 2005 Alex Yustasov <yust@altlinux.ru> 20050317-alt1
- 2.1.8.2 for 2.6

* Sat Mar 12 2005 LAKostis <lakostis at altlinux.ru> 20050214-alt3.1
- Added:
  + 978-fix_kthread.patch - due changed kthread parameters.
- FIXME: we need renumerate patches (like lowlatency).

* Sun Feb 20 2005 Alex Yustasov <yust@altlinux.ru> 20050214-alt3
- fixed build for 2.4.29-std with gcc-3.4

* Sat Feb 19 2005 Alex Yustasov <yust@altlinux.ru> 20050214-alt2
- 2.1.7 for 2.6

* Mon Feb 14 2005 Alex Yustasov <yust@altlinux.ru> 2005.02.14-alt1
- 2.1.5.15 for 2.6
- 2.1.5.7-C for 2.4

* Sat Feb 12 2005 LAKostis <lakostis at altlinux.ru> 2005.01.02-alt9
- adopted for kernel-fix-core patches:
  + 917-alt-911.diff
  + 918-alt-913.diff
- adopted for kernel-feat-lowlatency patches:
  + 582-refrigerator

* Sun Jan 30 2005 Alex Yustasov <yust@altlinux.ru> 2005.01.02-alt8
- fixed 916-swsusp-pktcdvd-fix.diff

* Fri Jan 28 2005 Alex Yustasov <yust@altlinux.ru> 205.01.02-alt7
- fixed spec
- added 62-without-highmem-fix.patch for 2.4 kernel
- fixed build for 2.4.29 kernel

* Fri Jan 28 2005 Alex Yustasov <yust@altlinux.ru> 2005.01.02-alt6
- fixed 582-refrigerator

* Sun Jan 23 2005 LAKostis <lakostis at altlinux.ru> 2005.01.02-alt5
- Added:
  + 916-swsusp-pktcdvd-fix.diff - Fix pktcdvd hanging problem.

* Sun Jan 16 2005 Alex Yustasov <yust@altlinux.ru> 2005.01.02-alt4
- deleted tar.bz2
- added patches for 2.4 kernel

* Wed Jan 12 2005 LAKostis <lakostis at altlinux.ru> 2005.01.02-alt3
- Added:
  + 915-agpgart-i850-resume-fix.diff - Fix for resume on i850.
  
* Mon Jan 10 2005 Alex Yustasov <yust@altlinux.ru> 2005.01.02-alt2
- added swsusp-console-update-hack.diff
- spec cleanup.

* Sun Jan 02 2005 LAKostis <lakostis at altlinux.ru> 2005.01.02-alt1
- 2.1.5.10 for 2.6.10
- update patches not to conflict with -feat-core-lowlatency.
- spec cleanup.

* Tue Nov 09 2004 Alex Yustasov <yust@altlinux.ru> 2004.11.08-alt1
- 2.1.4

* Tue Nov 02 2004 Alex Yustasov <yust@altlinux.ru> 2004.10.20-alt2
- fixed building if use gzip compression 

* Wed Oct 27 2004 Alex Yustasov <yust@altlinux.ru> 2004.10.20-alt1
- 2.1

* Fri Jul 16 2004 Alex Yustasov <yust@altlinux.ru> 2004.06.29-alt4
- 2.0.0.100
- changed Url in spec
- not work with CONFIG_HIGHMEM64G

* Wed Jul 14 2004 Alex Yustasov <yust@altlinux.ru> 2004.06.29-alt3
- 2.0.0.98
- removed REGPARM=n for bootsplash
- needed CONFIG_REGPARM=y in .config

* Wed Jun 30 2004 Alex Yustasov <yust@altlinux.ru> 2004.06.29-alt2
- updated patch - linux-2.6.7-rev4, core-2.0.0.90

* Wed Mar 17 2004 Anton Farygin <rider@altlinux.ru> 2004.03.17-alt1
- removed patches for 2.4 kernel
- import to kernel CVS
- updated test patch to 2.6.4-test3
- updated core patch to 2.0.0.22

* Wed Mar  3 2004 Ed V. Bartosh <ed@altlinux.org> 2004.03.03-alt1
- add patches for 2.6

* Sat Feb 07 2004 Alex Yustasov <yust@altlinux.ru> 2004.02.07-alt1
- 2.0 version

* Wed Dec 10 2003 Alex Yustasov <yust@altlinux.ru> 2003.12.09-alt1
- 2.0-rc3

* Thu Dec 04 2003 Alex Yustasov <yust@altlinux.ru> 2003.10.16-alt7
- added rc2L incremental patch

* Sun Nov 16 2003 Alex Yustasov <yust@altlinux.ru> 2003.10.16-alt6
- added rc2J incremental patch

* Wed Nov 12 2003 Alex Yustasov <yust@altlinux.ru> 2003.10.16-alt5
- fixed reject after new kernel-fix-core
- fixed apply/kernel-feat-swsusp
  - "|| return 1" after apply_recursive 
- removed patch for kernel-fix-drivers-char

* Tue Nov 04 2003 Alex Yustasov <yust@altlinux.ru> 2003.10.16-alt4
- added rc2E-incremental patch
- added release in name source0

* Sat Oct 25 2003 Alex Yustasov <yust@altlinux.ru> 2003.10.16-alt3
- remaked with apply script.

* Wed Oct 22 2003 Alex Yustasov <yust@altlinux.ru> 2003.10.16-alt2
- 2.0-rc2
- removed laptopmode-option patch

* Thu Oct 16 2003 Alex Yustasov <yust@altlinux.ru> 2003.10.16-alt1
- initial release. 2.0rc1

